Create knowledgebase
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/knowledgebases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id": "<string>",
"type": "pinecone",
"embeddingModelName": "llama-text-embed-v2",
"chunkSize": 2000,
"chunkOverlap": 200
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases"
payload = {
"name": "<string>",
"id": "<string>",
"type": "pinecone",
"embeddingModelName": "llama-text-embed-v2",
"chunkSize": 2000,
"chunkOverlap": 200
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
id: '<string>',
type: 'pinecone',
embeddingModelName: 'llama-text-embed-v2',
chunkSize: 2000,
chunkOverlap: 200
})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Knowledgebases
Create knowledgebase
Create a knowledgebase. On validation failure the handler currently responds with 500.
POST
/
v1
/
projects
/
{projectId}
/
knowledgebases
Create knowledgebase
Authorizations
Developer key created from the dashboard (Settings → Developer Keys)
Path Parameters
The ID of your project
Body
application/json
Required string length:
1 - 200Available options:
pgvector, pinecone Available options:
text-embedding-ada-002, text-embedding-3-small, text-embedding-3-large, embed-v4.0, embed-english-v3.0, embed-multilingual-v3.0, embed-english-light-v3.0, embed-multilingual-light-v3.0, llama-text-embed-v2 Required range:
x >= 50Required range:
x >= 0Response
Created
⌘I
